package emps.v1_nieobiektowo;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

/* Zadanie: program oblicza średnią pensję wszystkich pracowników. */
public class SredniaWszystkich {

    public static void main(String[] args) {
        try(Scanner scanner = new Scanner(new File("pliki/emps.csv"))) {
            // wczytuję pierwszą linię, aby ją pominąć:
            scanner.nextLine();
            
            double suma = 0;
            int ile = 0;
            while(scanner.hasNextLine()) {
                String linia = scanner.nextLine();
                String[] t = linia.split(";");
                suma += Integer.parseInt(t[4]);
                ile++;
            }
            
            System.out.println(suma + " / " + ile);
            double srednia = suma / ile;
            System.out.println("Średnia pensja: " + srednia);
        } catch(FileNotFoundException e) {
            e.printStackTrace();
        }
    }

}
